Subject: Re: [PATCH] gitweb: ref markers link to named shortlogs

From: Lea Wiemann <[email-masked]>
Date: Thu, 28 Aug 2008 03:43:17 +0200

Jakub Narebski wrote:
> By the way, this is argument *for* selecting action when generating
> link, if it is possible without incurring unnecessary (if you don't
> follow the link) performance penalty.

I agree that it's much cleaner to select the action when generating the
page, rather than having an 'objectview' action or so.

Worrying about performance seems like premature optimization though --
my guesstimate is that the performance penalty for looking up the object
type is not practically noticeable (read: relevant), and with my patch
applied (even without caching activated) it should move below the
measurable range.  So don't complicate the code to gain another 0.01%
performance. ;-)

-- Lea